Bug 199688 - Review Request: virt-manager
Review Request: virt-manager
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-21 09:04 EDT by Daniel Berrange
Modified: 2013-01-09 20:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 12:20:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2006-07-21 09:04:52 EDT
Spec URL: http://people.redhat.com/berrange/review/virt-manager.spec
SRPM URL: http://people.redhat.com/berrange/yum/fedora/5/SRPMS/virt-manager-0.1.5-1.src.rpm
Description: virt-manager provides a UI for administering Xen virtual machines. It uses PyGTK for its front end, and libvirt for its backend. It provides a ability to stop/suspend/resume/save/restore machines, live graphs of machine resource utilization and access the graphical VNC console. The gnome-applet-vm panel applet will also communicate with virt-manager over DBus to provide close integration between the two.
Comment 1 Bill Nottingham 2006-07-21 10:00:45 EDT
General tech ack.
Comment 2 Jochen Schmitt 2006-07-23 16:01:41 EDT
Some complaints:

- %Source tag contains not a full qualified URL.
- rpmlint virt-manager-0.1.5-1.src.rpm
W: virt-manager strange-permission virt-manager.spec 0600
- *.pyo files don't prefix with %ghost.
Comment 3 Jesse Keating 2006-07-24 09:51:31 EDT
- What is the extra_release going to be?  Our naming scheme only allows:
<wholenumber>%{?dist}.<wholenumber>
- Python requires are automatic, don't need to put it in.

rpmlint is silent except for the above mentioned permission thing, which is
ignorable.

Please address the issues in comment #2 as well.

Comment 4 Daniel Berrange 2006-07-24 14:05:46 EDT
The %extra_release stuff is not intended to be used for formal release builds.
We have a automated builder system which builds snapshots of the app from source
24x7, which defines %extra_release based on a timestamp to distinguish snapshot
RPM builds, from formal Fedora releases. I can take it out of the spec file if
desired, or put a comment in as to its intended use.

Do the automatic python requires pick up any versioning information? If not then
I think it could be desirable to leave in the requires lines for python libvirt
& dbus packages, so that if people try to deploy the RPM they don't do so
against an older version of libvirt / dbus, which are known not to work. The
pygtk, gconf & ctypes deps could easily come out though because I don't believe
that's any critical versioning info that would be lost.

I'll produce an updated spec file with fixes for the .pyo %ghost & full URL for
%source, in the next few days.

Comment 5 Jesse Keating 2006-07-24 14:16:39 EDT
I was just referring to the Requires: python  itself.  Python based packages now
get an automatic python ABI requirement.

As far as the Extra stuff, you can leave it, just comment around it.

Next few days may be too late with the freeze supposed to be happening today...
Comment 6 Daniel Berrange 2006-07-25 07:14:02 EDT
Unfortunate bad timing on my part - I'm actually out of the country on vacation
& only got sporadic internet access :-( Anyway I managed to get the requisite
changes done, so updated SPEC is at:

http://people.redhat.com/berrange/review/virt-manager-0.1.5-2.spec

And updated SRPM is 

http://people.redhat.com/berrange/yum/fedora/5/SRPMS/virt-manager-0.1.5-2.src.rpm
Comment 7 Jesse Keating 2006-07-26 16:21:01 EDT
Looks good, approving.  I suppose add this as a default in the Xen group?

Added to dist-fc6.  Please close when built into -HEAD and I'll move it over for
test2.
Comment 8 Jesse Keating 2006-07-27 12:20:08 EDT
This was built into rawhide.

Note You need to log in before you can comment on or make changes to this bug.